package com.jeesharp.business.modules.pay.tlinx.dto;

import java.io.Serializable;

/**
 * TLinx2支付状态查询请求DTO
 * 
 * @author wangmeng
 * @since 2026-03-16
 */
public class TLinx2PayStatusRequest implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * 订单号（二选一）
     */
    private String ordNo;
    
    /**
     * 开发者流水号（二选一）
     */
    private String outNo;
    
    /**
     * 是否是30天前的订单（可选）
     */
    private String historydb;
    
    // Getters and Setters
    
    public String getOrdNo() {
        return ordNo;
    }
    
    public void setOrdNo(String ordNo) {
        this.ordNo = ordNo;
    }
    
    public String getOutNo() {
        return outNo;
    }
    
    public void setOutNo(String outNo) {
        this.outNo = outNo;
    }
    
    public String getHistorydb() {
        return historydb;
    }
    
    public void setHistorydb(String historydb) {
        this.historydb = historydb;
    }
    
    @Override
    public String toString() {
        return "TLinx2PayStatusRequest{" +
                "ordNo='" + ordNo + '\'' +
                ", outNo='" + outNo + '\'' +
                ", historydb='" + historydb + '\'' +
                '}';
    }
}